## r-cran-princurve 1.1

=== DESCRIPTION ===
Package: princurve
Version: 1.1-12
Title: Fits a Principal Curve in Arbitrary Dimension
Author: S original by Trevor Hastie <trevor@research.att.com> R port by
        Andreas Weingessel <Andreas.Weingessel@ci.tuwien.ac.at>
Maintainer: Andreas Weingessel <Andreas.Weingessel@ci.tuwien.ac.at>
Description: fits a principal curve to a data matrix in arbitrary
        dimensions
License: GPL-2
Imports: stats, graphics
Packaged: 2013-04-25 07:31:26 UTC; hornik
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-04-25 10:01:27

## r-cran-princurve 1.1-12

=== debian/changelog ===
r-cran-princurve (1.1-12-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10
  * Convert from cdbs to dh-r
  * Secure URI in watch file
  * Canonical homepage for CRAN packages
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Fri, 20 Oct 2017 11:53:27 +0200

r-cran-princurve (1.1-12-1) unstable; urgency=low

  * Initial release (closes: #824754).

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2016 14:57:03 +0200

=== debian/control ===
Source: r-cran-princurve
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Testsuite: autopkgtest-pkg-r
Build-Depends: debhelper (>= 10),
               dh-r
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-princurve.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-princurve.git
Homepage: https://cran.r-project.org/package=princurve

Package: r-cran-princurve
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: fit a principal curve in arbitrary dimension
 GNU R package to fit a principal curve to a data matrix in arbitrary
 dimensions.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/princurve_([-\d.]+)\.tar\.gz

## r-cran-princurve 2.1.2.1+dfsg

=== debian/changelog ===
r-cran-princurve (2.1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Fri, 03 Aug 2018 11:36:56 +0200

r-cran-princurve (2.1.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jul 2018 12:26:11 +0200

r-cran-princurve (2.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 22 Jul 2018 09:14:26 +0200

r-cran-princurve (2.0.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jul 2018 14:26:31 +0200

r-cran-princurve (2.0.3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 09:00:23 +0200

r-cran-princurve (2.0.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jun 2018 08:33:59 +0200

=== debian/control ===
Source: r-cran-princurve
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-princurve
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-princurve.git
Homepage: https://cran.r-project.org/package=princurve

Package: r-cran-princurve
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: fit a principal curve in arbitrary dimension
 GNU R package to fit a principal curve to a data matrix in arbitrary
 dimensions.

## r-cran-princurve 2.1.3

=== DESCRIPTION ===
Package: princurve
Version: 2.1.3
Title: Fits a Principal Curve in Arbitrary Dimension
Authors@R: c(
    person("Trevor", "Hastie", email = "trevor@research.att.com", role = "aut"),
    person("Andreas", "Weingessel", email = "Andreas.Weingessel@ci.tuwien.ac.at", role = "aut"),
    person(
      "Kurt", "Hornik", 
      email = "kurt.hornik@wu.ac.at", 
      role = "aut",
      comment = c(ORCID = "0000-0003-4198-9911")
    ),
    person(
      "Henrik", "Bengtsson", 
      email = "henrikb@braju.com", 
      role = "ctb",
      comment = c(github = "HenrikBengtsson")
    ),
    person(
      "Robrecht", "Cannoodt", 
      email = "rcannood@gmail.com", 
      role = c("aut", "cre"),
      comment = c(ORCID = "0000-0003-3641-729X", github = "rcannood")
    ))
Description: Fitting a principal curve to a data matrix in arbitrary dimensions.
License: GPL-2
Depends: R (>= 3.0)
Imports: stats, graphics, grDevices, Rcpp
Suggests: devtools, testthat
LinkingTo: Rcpp
NeedsCompilation: yes
RoxygenNote: 6.1.0
URL: https://github.com/dynverse/princurve
BugReports: https://github.com/dynverse/princurve/issues
Collate: 'RcppExports.R' 'bias_correct_curve.R' 'get.lam.R' 'package.R'
        'periodic_lowess.R' 'smoother_functions.R' 'principal_curve.R'
        'principal.curve.R' 'start_circle.R'
Packaged: 2018-09-10 13:47:58 UTC; rcannood
Author: Trevor Hastie [aut],
  Andreas Weingessel [aut],
  Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
  Henrik Bengtsson [ctb] (HenrikBengtsson),
  Robrecht Cannoodt [aut, cre] (<https://orcid.org/0000-0003-3641-729X>,
    rcannood)
Maintainer: Robrecht Cannoodt <rcannood@gmail.com>
Repository: CRAN
Date/Publication: 2018-10-08 10:10:02 UTC

=== debian/changelog ===
r-cran-princurve (2.1.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 12 Oct 2018 08:05:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-princurve
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-princurve.git
 Homepage: https://cran.r-project.org/package=princurve

## r-cran-princurve 2.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: princurve
-Version: 2.1.3
+Version: 2.1.4
 Title: Fits a Principal Curve in Arbitrary Dimension
 Authors@R: c(
     person("Trevor", "Hastie", email = "trevor@research.att.com", role = "aut"),
@@ -22,20 +22,22 @@
       role = c("aut", "cre"),
       comment = c(ORCID = "0000-0003-3641-729X", github = "rcannood")
     ))
-Description: Fitting a principal curve to a data matrix in arbitrary dimensions.
+Description: Fitting a principal curve to a data matrix in arbitrary dimensions. 
+  Hastie and Stuetzle (1989) <doi:10.2307/2289936>.
 License: GPL-2
+Encoding: UTF-8
 Depends: R (>= 3.0)
 Imports: stats, graphics, grDevices, Rcpp
 Suggests: devtools, testthat
 LinkingTo: Rcpp
 NeedsCompilation: yes
-RoxygenNote: 6.1.0
-URL: https://github.com/dynverse/princurve
-BugReports: https://github.com/dynverse/princurve/issues
-Collate: 'RcppExports.R' 'bias_correct_curve.R' 'get.lam.R' 'package.R'
-        'periodic_lowess.R' 'smoother_functions.R' 'principal_curve.R'
-        'principal.curve.R' 'start_circle.R'
-Packaged: 2018-09-10 13:47:58 UTC; rcannood
+RoxygenNote: 6.1.1
+URL: https://github.com/rcannood/princurve
+BugReports: https://github.com/rcannood/princurve/issues
+Collate: 'RcppExports.R' 'bias_correct_curve.R' 'deprecated.R'
+        'package.R' 'periodic_lowess.R' 'smoother_functions.R'
+        'principal_curve.R' 'start_circle.R'
+Packaged: 2019-05-29 12:26:55 UTC; rcannood
 Author: Trevor Hastie [aut],
   Andreas Weingessel [aut],
   Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
@@ -44,4 +46,4 @@
     rcannood)
 Maintainer: Robrecht Cannoodt <rcannood@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-10-08 10:10:02 UTC
+Date/Publication: 2019-05-29 14:20:02 UTC

=== debian/changelog ===
r-cran-princurve (2.1.4-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:32 +0100

r-cran-princurve (2.1.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 08:51:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-princurve
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-princurve.git
 Homepage: https://cran.r-project.org/package=princurve

## r-cran-princurve 2.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: princurve
-Version: 2.1.4
-Title: Fits a Principal Curve in Arbitrary Dimension
+Version: 2.1.6
+Title: Fit a Principal Curve in Arbitrary Dimension
 Authors@R: c(
     person("Trevor", "Hastie", email = "trevor@research.att.com", role = "aut"),
     person("Andreas", "Weingessel", email = "Andreas.Weingessel@ci.tuwien.ac.at", role = "aut"),
@@ -31,13 +31,13 @@
 Suggests: devtools, testthat
 LinkingTo: Rcpp
 NeedsCompilation: yes
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 URL: https://github.com/rcannood/princurve
 BugReports: https://github.com/rcannood/princurve/issues
 Collate: 'RcppExports.R' 'bias_correct_curve.R' 'deprecated.R'
         'package.R' 'periodic_lowess.R' 'smoother_functions.R'
         'principal_curve.R' 'start_circle.R'
-Packaged: 2019-05-29 12:26:55 UTC; rcannood
+Packaged: 2021-01-17 18:16:00 UTC; rcannood
 Author: Trevor Hastie [aut],
   Andreas Weingessel [aut],
   Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
@@ -46,4 +46,4 @@
     rcannood)
 Maintainer: Robrecht Cannoodt <rcannood@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-05-29 14:20:02 UTC
+Date/Publication: 2021-01-18 16:40:06 UTC

=== debian/changelog ===
r-cran-princurve (2.1.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 24 Jan 2021 21:13:06 +0100

r-cran-princurve (2.1.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 16:25:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-princurve
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-princurve.git
 Homepage: https://cran.r-project.org/package=princurve
+Rules-Requires-Root: no
 
 Package: r-cran-princurve
 Architecture: any

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/princurve_([-\d.]+)\.tar\.gz
